node {
	gitlabBuilds(builds: ["Preparation", "Test", "Build"]) {
		stage('Preparation') {
			gitlabCommitStatus(name: "Preparation") {
				try {
					git credentialsId: 'f840af2b-c5e8-4709-ade7-dfaee9225d50', url: 'https://gitlab.com/m.dariozzi/pos-foto'
				} catch (e) {
					echo "Preparation Failed!"
					throw e
				}
			}
		}

		stage ('Test') {
			try {
				dir('${workspace}\\Elbeko'){
					sh './gradlew clean test --no-daemon' //run a gradle task

				}
			} catch (e) {
				echo 'testing failed'
			}
		}
		stage('Build') {
			// 			
			gitlabCommitStatus(name: "Build") {
				try { 
					dir('${workspace}\\Elbeko') {
                    	  gradlew build
                	}

				} catch (e) {
					echo "Build Failed!"
					throw e
				}
			}

			echo "in build"
		}
	}
	
}

def cmd_exec(command) {
    return bat(returnStdout: true, script: "${command}").trim()
}

